From: Robin Cornelius <robin.cornelius@gmail.com>
Subject: [PATCH] topic/fixes/jira-backported/VWR-11103-FIx_local_ruler_on_linked_objects

<patch description>

Signed-off-by: Robin Cornelius <robin.cornelius@gmail.com>

---
 indra/newview/llselectmgr.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/indra/newview/llselectmgr.cpp b/indra/newview/llselectmgr.cpp
index 0f5a98a..139c210 100644
--- a/indra/newview/llselectmgr.cpp
+++ b/indra/newview/llselectmgr.cpp
@@ -5501,6 +5501,10 @@ void LLSelectMgr::updateSelectionCenter()
 
 		std::vector < LLViewerObject *> jointed_objects;
 
+		// Initialize the bounding box to the root prim, so the BBox orientation
+		// matches the root prim's (affecting the orientation of the manipulators).
+		bbox.addBBoxAgent( (mSelectedObjects->getFirstRootObject(TRUE))->getBoundingBoxAgent() );
+
 		for (LLObjectSelection::iterator iter = mSelectedObjects->begin();
 			 iter != mSelectedObjects->end(); iter++)
 		{
-- 
tg: (1836a2b..) topic/fixes/jira-backported/VWR-11103-FIx_local_ruler_on_linked_objects (depends on: upstream)
